﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "frFR", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC, treasure/chest or event shows up in your minimap";
	
	-- Rares
	AL["Aeonaxx"] = 50062; --Aeonaxx
	AL["Aetha"] = 58778; --Aetha
	AL["Aethis"] = 50750; --Aethis
	AL["Ahone l’Errante"] = 50817; --Ahone the Wanderer
	AL["Ai Li Moire Ciel"] = 50821; --Ai-Li Skymirror
	AL["Ai Ran le Nuage Fantasque"] = 50822; --Ai-Ran the Shifting Cloud
	AL["Al’tabim Qui-Voit-Tout"] = 70000; --Al'tabim the All-Seeing
	AL["Ankha"] = 54318; --Ankha
	AL["Anthriss"] = 54338; --Anthriss
	AL["Archiprêtre de flammes"] = 73666; --Archiereus of Flame
	AL["Archiritualiste Kelada"] = 70243; --Archritualist Kelada
	AL["Arness l’Écaille"] = 50787; --Arness the Scale
	AL["Brise-dos Uru"] = 70001; --Backbreaker Uru
	AL["Bai Jin le Boucher"] = 58949; --Bai-Jin the Butcher
	AL["Ban’thalos"] = 54320; --Ban'thalos
	AL["Baolai l’Immolateur"] = 63695; --Baolai the Immolator
	AL["Sabot d’Encre"] = 51059; --Blackhoof
	AL["Pointe-sanglante"] = 58474; --Bloodtip
	AL["Bonobos"] = 50828; --Bonobos
	AL["Borginn Sombre Poing"] = 50341; --Borginn Darkfist
	AL["Bufo"] = 72775; --Bufo
	AL["Champion de la flamme noire"] = 73171; --Champion of the Black Flame
	AL["Chelon"] = 72045; --Chelon
	AL["Cendrechute"] = 73175; --Cinderfall
	AL["Cournith Court-sur-l’Eau"] = 50768; --Cournith Waterstrider
	AL["Crachecroc"] = 58768; --Cracklefang
	AL["Croque-grue"] = 72049; --Cranegnasher
	AL["Dak le Briseur"] = 50334; --Dak the Breaker
	AL["Dalan Brisenuit"] = 68318; --Dalan Nightbreaker
	AL["Deth’tilac"] = 54322; --Deth'tilac
	AL["Disha Gardepeur"] = 68319; --Disha Fearwarden
	AL["Docteur Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
	AL["Bateau de l’effroi Vazuvius"] = 73281; --Dread Ship Vazuvius
	AL["Jars émeraude"] = 73158; --Emerald Gander
	AL["Eshelon"] = 50772; --Eshelon
	AL["Gueule-Éternelle"] = 73279; --Evermaw
	AL["Ferdinand"] = 51078; --Ferdinand
	AL["Carne’rok le Malade"] = 70429; --Flesh'rok the Diseased
	AL["Seigneur des silex Gairan"] = 73172; --Flintlord Gairan
	AL["Oeil focalisé"] = 70249; --Focused Eye
	AL["Gaarn le Toxique"] = 50340; --Gaarn the Toxic
	AL["Gaohun le Sectionneur d’âmes"] = 62881; --Gaohun the Soul-Severer
	AL["Gar’lok"] = 50739; --Gar'lok
	AL["Garnia"] = 73282; --Garnia
	AL["Général Temuja"] = 63101; --General Temuja
	AL["Clampant fantôme"] = 50051; --Ghostcrawler
	AL["Go Kan"] = 50331; --Go-Kan
	AL["Gochao le Poing de Fer"] = 62880; --Gochao the Ironfist
	AL["Dieu-mastodonte Ramuk"] = 69999; --God-Hulk Ramuk
	AL["Goda"] = 69998; --Goda
	AL["Golganarr"] = 72970; --Golganarr
	AL["Grande tortue Écaille-de-Fureur"] = 73161; --Great Turtle Furyshell
	AL["Gu’chi l’Essaimeur"] = 72909; --Gu'chi the Swarmbringer
	AL["Havak"] = 50354; --Havak
	AL["Assemblage saccage-soleil détraqué"] = 50358; --Haywire Sunreaver Construct
	AL["Huo Shuang"] = 63691; --Huo-Shuang
	AL["Huolon"] = 73167; --Huolon
	AL["Ik-Ik l’Agile"] = 50836; --Ik-Ik the Nimble
	AL["Python impérial"] = 73163; --Imperial Python
	AL["Corne-d’acier ferpoil"] = 73160; --Ironfur Steelhorn
	AL["Jadecroc"] = 49822; --Jadefang
	AL["Jakur d’Ordos"] = 73169; --Jakur of Ordon
	AL["Jonn-Dar"] = 50351; --Jonn-Dar
	AL["Kah’tir"] = 50355; --Kah'tir
	AL["Kal’tik le Chancre"] = 50749; --Kal'tik the Blight
	AL["Kang le Voleur d’âmes"] = 50349; --Kang the Soul Thief
	AL["Kar le Va-t-en-Guerre"] = 68321; --Kar Warmaker
	AL["Karkanos"] = 72193; --Karkanos
	AL["Karkin"] = 50959; --Karkin
	AL["Karoma"] = 50138; --Karoma
	AL["Karr l’Assombrisseur"] = 50347; --Karr the Darkener
	AL["Kirix"] = 54323; --Kirix
	AL["Kor’nas Nuit Sauvage"] = 50338; --Kor'nas Nightsavage
	AL["Korda Torros"] = 50332; --Korda Torros
	AL["Krakkanon"] = 70323; --Krakkanon
	AL["Krax’ik"] = 50363; --Krax'ik
	AL["Kri’chon"] = 63978; --Kri'chon
	AL["Krol la Lame"] = 50356; --Krol the Blade
	AL["Ku’lai, la Griffe du ciel"] = 69996; --Ku'lai the Skyclaw
	AL["Soigne-Feuille"] = 73277; --Leafmender
	AL["Lith’ik le Traqueur"] = 50734; --Lith'ik the Stalker
	AL["Lon le Buffle"] = 50333; --Lon the Bull
	AL["Lu Ban"] = 70002; --Lu-Ban
	AL["Magria"] = 54319; --Magria
	AL["Major Sinok"] = 50840; --Major Nanners
	AL["Mavis Laruine"] = 68317; --Mavis Harms
	AL["Monsieur Féroce"] = 50823; --Mister Ferocious
	AL["Moldo le Borgne"] = 50806; --Moldo One-Eye
	AL["Molthor"] = 70003; --Molthor
	AL["Monara"] = 70440; --Monara
	AL["Pincépine monstrueux"] = 73166; --Monstrous Spineclaw
	AL["Morgrinn Casse Crocs"] = 50350; --Morgrinn Crackfang
	AL["Muerta"] = 68322; --Muerta
	AL["Mumta"] = 69664; --Mumta
	AL["Nal’lak l’Éventreur"] = 50364; --Nal'lak the Ripper
	AL["Nalash Verdantis"] = 50776; --Nalash Verdantis
	AL["Nasra Poil Ocellé"] = 50811; --Nasra Spothide
	AL["Nessos l'Oracle"] = 50789; --Nessos the Oracle
	AL["No’ku Parle-Tempête"] = 70276; --No'ku Stormsayer
	AL["Norlaxx"] = 50344; --Norlaxx
	AL["Omnis Grimalok"] = 50805; --Omnis Grinlok
	AL["Suzerain Fractefurie"] = 50085; --Overlord Sunderfury
	AL["Prince Lakma"] = 54533; --Prince Lakma
	AL["Progénitus"] = 69997; --Progenitus
	AL["Qu’nas"] = 50352; --Qu'nas
	AL["Quid"] = 58771; --Quid
	AL["Ra’sha"] = 70530; --Ra'sha
	AL["Déglingois"] = 72048; --Rattleskew
	AL["Mousse des rochers"] = 73157; --Rock Moss
	AL["Horreur rocheuse"] = 70430; --Rocky Horror
	AL["Runn Patte Fantôme"] = 50816; --Ruun Ghostpaw
	AL["Sahn Chasse Marée"] = 50780; --Sahn Tidehunter
	AL["Eclaireur de guerre salyin"] = 50783; --Salyin Warscout
	AL["Samba"] = 50159; --Sambas
	AL["Sarnak"] = 50782; --Sarnak
	AL["Grattouille"] = 50831; --Scritch
	AL["Sele’na"] = 50766; --Sele'na
	AL["Maître d'ombre Sydow"] = 63240; --Shadowmaster Sydow
	AL["Siltriss l’Affûteur"] = 50791; --Siltriss the Sharpener
	AL["Bal'afr"] = 50815; --Skarr
	AL["Ski’thik"] = 50733; --Ski'thik
	AL["Rampeflamme"] = 54324; --Skitterflame
	AL["Solix"] = 54321; --Solix
	AL["Souterrant"] = 71864; --Spelurk
	AL["Esprit de Jadefeu"] = 72769; --Spirit of Jadefire
	AL["Esprit de Lao Fe"] = 58817; --Spirit of Lao-Fe
	AL["Spriggin"] = 50830; --Spriggin
	AL["Fouettnatte"] = 73704; --Stinkbraid
	AL["Sulik’shor"] = 50339; --Sulik'shor
	AL["Tarvus le Vil"] = 50086; --Tarvus the Vile
	AL["Le Couineur"] = 50832; --The Yowler
	AL["Torik-Ethis"] = 50388; --Torik-Ethis
	AL["Tsavo’ka"] = 72808; --Tsavo'ka
	AL["Ubunti l’Ombre"] = 68320; --Ubunti the Shade
	AL["Oeil impassible"] = 70238; --Unblinking Eye
	AL["Urdur le Cautérisateur"] = 73173; --Urdur the Cauterizer
	AL["Urgolax"] = 50359; --Urgolax
	AL["Urobi le Marcheur"] = 50808; --Urobi the Walker
	AL["Mâchevice"] = 58769; --Vicejaw
	AL["Vyraxxis"] = 63977; --Vyraxxis
	AL["Dieu-guerrier Dokah"] = 70096; --War-God Dokah
	AL["Guetteur Osu"] = 73170; --Watcher Osu
	AL["Siffleur"] = 73293; --Whizzig
	AL["Willy Wilder"] = 70126; --Willy Wilder
	AL["Wulon"] = 63510; --Wulon
	AL["Yorik Œil Vif"] = 50336; --Yorik Sharpeye
	AL["Yul Patte Folle"] = 50820; --Yul Wildpaw
	AL["Zaï le Paria"] = 50769; --Zai the Outcast
	AL["Porteguerre zandalari"] = 69769; --Zandalari Warbringer
	AL["Eclaireur de guerre zandalari"] = 69768; --Zandalari Warscout
	AL["Zao’cho"] = 69843; --Zao'cho
	AL["Zesqua"] = 72245; --Zesqua
	AL["Zhu Gon l’Amer"] = 71919 --Zhu-Gon the Sour
end